/*
 * Class CHAIN [CHARACTER_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_800 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_800 [] = {0xFF01,237,799,182,0xFFFF};
static const EIF_TYPE_INDEX egt_2_800 [] = {0xFF01,799,182,0xFFFF};
static const EIF_TYPE_INDEX egt_3_800 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_800 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_800 [] = {0xFF01,799,182,0xFFFF};
static const EIF_TYPE_INDEX egt_6_800 [] = {0xFF01,799,182,0xFFFF};
static const EIF_TYPE_INDEX egt_7_800 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_800 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_800 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_800 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_800 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_800 [] = {799,182,0xFFFF};
static const EIF_TYPE_INDEX egt_13_800 [] = {0xFF01,799,182,0xFFFF};
static const EIF_TYPE_INDEX egt_14_800 [] = {0xFF01,647,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_800 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_800 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_800 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_800 [] = {0xFF01,654,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_800 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_20_800 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_800 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_800 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_800 [] = {0xFF01,799,182,0xFFFF};
static const EIF_TYPE_INDEX egt_24_800 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_800 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_26_800 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_27_800 [] = {0xFF01,148,0xFFFF};
static const EIF_TYPE_INDEX egt_28_800 [] = {0xFF01,141,0xFFFF};


static const struct desc_info desc_800[] = {
	{EIF_GENERIC(NULL), 4525, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_800), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_800), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_800), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_800), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_800), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_800), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_800), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_800), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_800), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_800), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_800), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_800), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_800), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_800), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4528, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2045, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1900, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1901, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1902, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1903, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1904, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_800), 2414, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_800), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_800), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2603, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2604, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2007, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4524, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4529, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2498, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4532, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_800), 2407, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2408, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4535, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1953, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2600, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4522, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2601, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2602, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_800), 3378, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_800), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_800), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4517, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4534, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2410, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2411, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2412, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2413, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2405, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2598, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4521, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_800), 4526, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_800), 4527, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4536, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4537, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4539, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4540, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4518, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4519, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4523, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_800), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2404, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2403, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2406, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2406, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_800), 4530, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_800), 4531, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4538, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4520, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4520, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_800), 4530, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_800), 4533, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4538, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4532, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_800), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
};
void Init800(void)
{
	IDSC(desc_800, 0, 799);
	IDSC(desc_800 + 1, 1, 799);
	IDSC(desc_800 + 32, 77, 799);
	IDSC(desc_800 + 41, 243, 799);
	IDSC(desc_800 + 47, 155, 799);
	IDSC(desc_800 + 56, 282, 799);
	IDSC(desc_800 + 65, 99, 799);
	IDSC(desc_800 + 67, 30, 799);
	IDSC(desc_800 + 74, 294, 799);
	IDSC(desc_800 + 77, 237, 799);
	IDSC(desc_800 + 79, 329, 799);
	IDSC(desc_800 + 93, 187, 799);
	IDSC(desc_800 + 99, 256, 799);
	IDSC(desc_800 + 102, 229, 799);
	IDSC(desc_800 + 103, 184, 799);
	IDSC(desc_800 + 106, 50, 799);
	IDSC(desc_800 + 107, 35, 799);
	IDSC(desc_800 + 108, 172, 799);
}


#ifdef __cplusplus
}
#endif
